package com.sztzjy.money_management.config.security;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 用户登录结果集
 *
 * @author 陈沅
 */
@ApiModel("用户登录结果集")
@Setter
@Getter
public class LoginResult {
    @ApiModelProperty("用户ID")
    private String userId;
    @ApiModelProperty("姓名")
    private String name;
    @ApiModelProperty("访问令牌")
    private String accessToken;
    @ApiModelProperty("角色Id")
    private int roleId;
    @ApiModelProperty("用户所在班级id")
    private int classId;
    @ApiModelProperty("用户所在学校id")
    private int schoolId;
    @ApiModelProperty("用户所在学校名称")
    private String schoolName;
    @ApiModelProperty("用户权限")
    private List<String> authorityCodes;

    @ApiModelProperty("用户所在院系")
    private int collegeId;

    @ApiModelProperty("用户所在专业")
    private int majorId;
    @ApiModelProperty("用户名")
    private String username;


// user.setUserId(dataObject.getStr("userId"));
//            user.setName(dataObject.getStr("name"));
//            user.setRoleId(dataObject.getInt("roleId"));
//            user.setSchoolId(dataObject.getInt("schoolId"));
//            user.setClassId(dataObject.getInt("classId"));
//            user.setMajorId(dataObject.getInt("majorId"));
//            user.setClassName(dataObject.getStr("className"));
//            user.setMajorName(dataObject.getStr("majorName"));
//            user.setSchoolName(dataObject.getStr("schoolName"));
//            user.setCollegeId(dataObject.getInt("collegeId"));
//            user.setCollegeName(dataObject.getStr("collegeName"));

    /**
     * 创建登录成功实体
     *
     * @param jwtUser     授权用户实体
     * @param accessToken 令牌
     * @return LoginResult
     */
    public static LoginResult create(JwtUser jwtUser, String accessToken) {
        LoginResult result = new LoginResult();
        result.setUserId(jwtUser.getUserId());
        result.setRoleId(jwtUser.getRoleId());
        result.setName(jwtUser.getName());
        result.setAccessToken(accessToken);
        result.setClassId(jwtUser.getClassId());
        result.setSchoolId(jwtUser.getSchoolId());
        result.setAuthorityCodes(jwtUser.getAuthorityCodes());
        result.setMajorId(jwtUser.getMajorId());
        result.setCollegeId(jwtUser.getCollegeId());
        result.setUsername(jwtUser.getUsername());
        result.setSchoolName(jwtUser.getSchoolName());
        return result;
    }
}
