package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 案例遗产传承表
 *
 * @author xcj
 * case_heritage
 */
public class CaseHeritage {
    @ApiModelProperty("案例-遗产传承id")
    private String caseHeritageId;

    private String caseid;

    @ApiModelProperty("现金")
    private BigDecimal cash;

    @ApiModelProperty("银行存款")
    private BigDecimal deposit;

    @ApiModelProperty("人寿保单赔偿金额")
    private BigDecimal lifeInsurance;

    @ApiModelProperty("其他现金账户")
    private BigDecimal otherCashAccount;

    @ApiModelProperty("股票")
    private BigDecimal stock;

    @ApiModelProperty("债券")
    private BigDecimal bond;

    @ApiModelProperty("基金")
    private BigDecimal fund;

    @ApiModelProperty("其他投资收益")
    private BigDecimal otherInvestment;

    @ApiModelProperty("养老金（一次性收入现值）")
    private BigDecimal pension;

    @ApiModelProperty("配偶/遗孤年金收益（现值）")
    private BigDecimal annuityRevenue;

    @ApiModelProperty("其他退休基金")
    private BigDecimal otherPension;

    @ApiModelProperty("房产")
    private BigDecimal house;

    @ApiModelProperty("汽车")
    private BigDecimal car;

    @ApiModelProperty("其他个人资产")
    private BigDecimal other;

    @ApiModelProperty("其他资产")
    private BigDecimal otherProperty;

    @ApiModelProperty("资产总计")
    private BigDecimal totalProperty;

    @ApiModelProperty("短期贷款")
    private BigDecimal shortTermLoan;

    @ApiModelProperty("中期贷款")
    private BigDecimal mediumTermLoans;

    @ApiModelProperty("长期贷款")
    private BigDecimal longTermLoan;

    @ApiModelProperty("其他贷款")
    private BigDecimal otherLoan;

    @ApiModelProperty("临终医疗费用")
    private BigDecimal medicalCosts;

    @ApiModelProperty("预期收入纳税额支出")
    private BigDecimal taxCosts;

    @ApiModelProperty("丧葬费用")
    private BigDecimal funeralExpenses;

    @ApiModelProperty("遗产处置费用")
    private BigDecimal heritageCosts;

    @ApiModelProperty("其他费用")
    private BigDecimal otherCosts;

    @ApiModelProperty("其他负债")
    private BigDecimal otherLiabilities;

    @ApiModelProperty("负债总计")
    private BigDecimal totalLiabilities;

    @ApiModelProperty("财产传承规划工具")
    private String planTool;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("学生答案/题目答案")
    private String isAnswer;

    @ApiModelProperty("财务分析老师评分")
    private BigDecimal financeanalysisTeacherScore;

    @ApiModelProperty("财产传承规划分析老师评分")
    private BigDecimal plananalysisTeacherScore;

    public String getCaseHeritageId() {
        return caseHeritageId;
    }

    public void setCaseHeritageId(String caseHeritageId) {
        this.caseHeritageId = caseHeritageId == null ? null : caseHeritageId.trim();
    }

    public String getCaseid() {
        return caseid;
    }

    public void setCaseid(String caseid) {
        this.caseid = caseid == null ? null : caseid.trim();
    }

    public BigDecimal getCash() {
        return cash;
    }

    public void setCash(BigDecimal cash) {
        this.cash = cash;
    }

    public BigDecimal getDeposit() {
        return deposit;
    }

    public void setDeposit(BigDecimal deposit) {
        this.deposit = deposit;
    }

    public BigDecimal getLifeInsurance() {
        return lifeInsurance;
    }

    public void setLifeInsurance(BigDecimal lifeInsurance) {
        this.lifeInsurance = lifeInsurance;
    }

    public BigDecimal getOtherCashAccount() {
        return otherCashAccount;
    }

    public void setOtherCashAccount(BigDecimal otherCashAccount) {
        this.otherCashAccount = otherCashAccount;
    }

    public BigDecimal getStock() {
        return stock;
    }

    public void setStock(BigDecimal stock) {
        this.stock = stock;
    }

    public BigDecimal getBond() {
        return bond;
    }

    public void setBond(BigDecimal bond) {
        this.bond = bond;
    }

    public BigDecimal getFund() {
        return fund;
    }

    public void setFund(BigDecimal fund) {
        this.fund = fund;
    }

    public BigDecimal getOtherInvestment() {
        return otherInvestment;
    }

    public void setOtherInvestment(BigDecimal otherInvestment) {
        this.otherInvestment = otherInvestment;
    }

    public BigDecimal getPension() {
        return pension;
    }

    public void setPension(BigDecimal pension) {
        this.pension = pension;
    }

    public BigDecimal getAnnuityRevenue() {
        return annuityRevenue;
    }

    public void setAnnuityRevenue(BigDecimal annuityRevenue) {
        this.annuityRevenue = annuityRevenue;
    }

    public BigDecimal getOtherPension() {
        return otherPension;
    }

    public void setOtherPension(BigDecimal otherPension) {
        this.otherPension = otherPension;
    }

    public BigDecimal getHouse() {
        return house;
    }

    public void setHouse(BigDecimal house) {
        this.house = house;
    }

    public BigDecimal getCar() {
        return car;
    }

    public void setCar(BigDecimal car) {
        this.car = car;
    }

    public BigDecimal getOther() {
        return other;
    }

    public void setOther(BigDecimal other) {
        this.other = other;
    }

    public BigDecimal getOtherProperty() {
        return otherProperty;
    }

    public void setOtherProperty(BigDecimal otherProperty) {
        this.otherProperty = otherProperty;
    }

    public BigDecimal getTotalProperty() {
        return totalProperty;
    }

    public void setTotalProperty(BigDecimal totalProperty) {
        this.totalProperty = totalProperty;
    }

    public BigDecimal getShortTermLoan() {
        return shortTermLoan;
    }

    public void setShortTermLoan(BigDecimal shortTermLoan) {
        this.shortTermLoan = shortTermLoan;
    }

    public BigDecimal getMediumTermLoans() {
        return mediumTermLoans;
    }

    public void setMediumTermLoans(BigDecimal mediumTermLoans) {
        this.mediumTermLoans = mediumTermLoans;
    }

    public BigDecimal getLongTermLoan() {
        return longTermLoan;
    }

    public void setLongTermLoan(BigDecimal longTermLoan) {
        this.longTermLoan = longTermLoan;
    }

    public BigDecimal getOtherLoan() {
        return otherLoan;
    }

    public void setOtherLoan(BigDecimal otherLoan) {
        this.otherLoan = otherLoan;
    }

    public BigDecimal getMedicalCosts() {
        return medicalCosts;
    }

    public void setMedicalCosts(BigDecimal medicalCosts) {
        this.medicalCosts = medicalCosts;
    }

    public BigDecimal getTaxCosts() {
        return taxCosts;
    }

    public void setTaxCosts(BigDecimal taxCosts) {
        this.taxCosts = taxCosts;
    }

    public BigDecimal getFuneralExpenses() {
        return funeralExpenses;
    }

    public void setFuneralExpenses(BigDecimal funeralExpenses) {
        this.funeralExpenses = funeralExpenses;
    }

    public BigDecimal getHeritageCosts() {
        return heritageCosts;
    }

    public void setHeritageCosts(BigDecimal heritageCosts) {
        this.heritageCosts = heritageCosts;
    }

    public BigDecimal getOtherCosts() {
        return otherCosts;
    }

    public void setOtherCosts(BigDecimal otherCosts) {
        this.otherCosts = otherCosts;
    }

    public BigDecimal getOtherLiabilities() {
        return otherLiabilities;
    }

    public void setOtherLiabilities(BigDecimal otherLiabilities) {
        this.otherLiabilities = otherLiabilities;
    }

    public BigDecimal getTotalLiabilities() {
        return totalLiabilities;
    }

    public void setTotalLiabilities(BigDecimal totalLiabilities) {
        this.totalLiabilities = totalLiabilities;
    }

    public String getPlanTool() {
        return planTool;
    }

    public void setPlanTool(String planTool) {
        this.planTool = planTool == null ? null : planTool.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getIsAnswer() {
        return isAnswer;
    }

    public void setIsAnswer(String isAnswer) {
        this.isAnswer = isAnswer == null ? null : isAnswer.trim();
    }

    public BigDecimal getFinanceanalysisTeacherScore() {
        return financeanalysisTeacherScore;
    }

    public void setFinanceanalysisTeacherScore(BigDecimal financeanalysisTeacherScore) {
        this.financeanalysisTeacherScore = financeanalysisTeacherScore;
    }

    public BigDecimal getPlananalysisTeacherScore() {
        return plananalysisTeacherScore;
    }

    public void setPlananalysisTeacherScore(BigDecimal plananalysisTeacherScore) {
        this.plananalysisTeacherScore = plananalysisTeacherScore;
    }
}