package com.sztzjy.money_management.service.impl;

import com.sztzjy.money_management.config.Constant;
import com.sztzjy.money_management.entity.ResourceCenter;
import com.sztzjy.money_management.entity.ResourceCenterExample;
import com.sztzjy.money_management.mapper.ResourceCenterMapper;
import com.sztzjy.money_management.service.ResourceCenterService;
import com.sztzjy.money_management.util.file.IFileUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

@Service
public class ResourceCenterServiceImpl implements ResourceCenterService {
    @Autowired
    IFileUtil fileUtil;
    @Autowired
    ResourceCenterMapper resourceCenterMapper;

    @Override
    public Boolean uploadResource(MultipartFile file, String schoolId, String chapterId,String type) {
        String uploadUrl = fileUtil.upload(file);
        ResourceCenter resourceCenter=new ResourceCenter();
        resourceCenter.setResourceCenterId(String.valueOf(UUID.randomUUID()));
        resourceCenter.setResourceName(file.getOriginalFilename());
        resourceCenter.setResourceUrl(uploadUrl);
        resourceCenter.setChapterId(chapterId);
        resourceCenter.setSource(schoolId);
        resourceCenter.setType(type);
        int insert = resourceCenterMapper.insert(resourceCenter);
        return insert==1;
    }

    @Override
    public List<ResourceCenter> selectResourceByChapterId(String schoolId, String chapterId) {
        ResourceCenterExample example=new ResourceCenterExample();
        ResourceCenterExample.Criteria criteria = example.createCriteria();
        if(Constant.BUILT_IN_SCHOOL_ID.equals(schoolId)){
            criteria.andSourceEqualTo(schoolId);
        }else {
            List<String> schoolIds=new ArrayList<>();
            schoolIds.add(Constant.BUILT_IN_SCHOOL_ID);
            schoolIds.add(schoolId);
            criteria.andSourceIn(schoolIds);
        }
        criteria.andChapterIdEqualTo(chapterId);
        List<ResourceCenter> resourceCenterList = resourceCenterMapper.selectByExample(example);
        return resourceCenterList;
    }

    @Override
    public void downloadResource(String resourceId, HttpServletResponse response) {
        ResourceCenter resourceCenter = resourceCenterMapper.selectByPrimaryKey(resourceId);
        if("文件".equals(resourceCenter.getType())){
            fileUtil.download(response, resourceCenter.getResourceName(), resourceCenter.getResourceUrl());
        }
    }
}
